Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class CountLRUDehydrationPolicy

    java.lang.Object
      org.apache.ode.bpel.engine.CountLRUDehydrationPolicy

All Implemented Interfaces:
  DehydrationPolicy

    public class CountLRUDehydrationPolicy

extends java.lang.Object
implements DehydrationPolicy

Constructor Summary
`CountLRUDehydrationPolicy()`

Method Summary
`java.util.List<BpelProcess>` | `markForDehydration(java.util.List<BpelProcess> runningProcesses)` Checks the currently running processes and marks some of them for dehydration according to a specifically configured policy.
`void` | `setProcessMaxAge(long processMaxAge)`
`void` | `setProcessMaxCount(int processMaxCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountLRUDehydrationPolicy

    public CountLRUDehydrationPolicy()

Method Detail

### markForDehydration

    public java.util.List<BpelProcess> markForDehydration(java.util.List<BpelProcess> runningProcesses)

  Description copied from interface: `DehydrationPolicy`
  Checks the currently running processes and marks some of them for dehydration according to a specifically configured policy. The returned processes will be dehydrated by the engine.

  Specified by:
    `markForDehydration` in interface `DehydrationPolicy`
  Parameters:
    `runningProcesses` - all running (currently hydrated) processes
  Returns:
    processes elected for dehydration

### setProcessMaxAge

    public void setProcessMaxAge(long processMaxAge)

### setProcessMaxCount

    public void setProcessMaxCount(int processMaxCount)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD